*ex 1
sysuse auto, clear

dtable price weight mpg i.rep78

dtable price weight mpg i.rep78, novarlabel

*ex 2
sysuse auto, clear

dtable price weight mpg i.rep78, by(foreign)

dtable price weight mpg i.rep78, by(foreign, nototal)

dtable price weight mpg i.rep78, by(foreign, nototal tests)

dtable price weight mpg i.rep78, by(foreign, nototal tests notestnotes)

replace foreign=. in 1/5

dtable price weight mpg i.rep78, by(foreign, nototal tests notestnotes missing)

dtable price weight mpg i.rep78, by(foreign, nototal tests) title("Table 1: Descriptive stastics")

dtable price weight mpg i.rep78, by(foreign, nototal tests) title("Table 1: Descriptive stastics") ///
note("linear regression test performed for price weight mpg.") ///
note ("Pearson's chi-squared test for rep78.")

dtable price weight mpg i.rep78, by(foreign, nototal tests) title("Table 1: Descriptive stastics") ///
note("linear regression test performed for price weight mpg.") ///
note ("Pearson's chi-squared test for rep78.") export(table.docx, replace)

* ex3
webuse idu, clear
dtable age ltime rtime i.needle, by(male)

dtable age ltime rtime i.needle, by(male) sample("Sample frequency (percent)")

dtable age ltime rtime i.needle, by(male) ///
 sample(, statistics(frequency proportion))

dtable age ltime rtime i.needle, by(male) ///
 sample(, statistics(frequency proportion)) ///
 sformat("N=%s" frequency) sformat("(%s)" proportion) 
 
dtable age ltime rtime i.needle, by(male) ///
 sample(, statistics(frequency proportion) place(item)) ///
 sformat("N=%s" frequency) sformat("(%s)" proportion)
 
dtable age ltime rtime i.needle, by(male) ///
 sample(, statistics(frequency proportion) place(inlabels)) ///
 sformat("N=%s" frequency) sformat("(%s)" proportion) 
 
 
dtable age ltime rtime i.needle, by(male) ///
 sample(, statistics(frequency proportion) place(seplabels)) ///
 sformat("N=%s" frequency) sformat("(%s)" proportion)
 
dtable age ltime rtime i.needle, by(male) nosample

*ex4

webuse idu, clear

dtable, by(male, tests testnotes nototal) /// 
sample(, statistic(frequency proportion)) ///
 continuous(age, statistics( mean min max) test(kwallis)) ///
 continuous(ltime rtime, statistics(mean skewness kurtosis) test(poisson)) ///
 factor(needle, statistics(fvfrequency fvproportion)) ///
 factor(jail inject, statistics(fvfrequency) test(fisher)) ///
 sformat("(%s)" fvproportion) nformat(%6.1f mean min max)

 
*ex5
 
webuse nhanes2l, clear

* declare the svy data
svyset psu [pweight=finalwgt], strata(strata)

* the statistics will be computed using survey weights.
dtable age bmi, by(heartatk, tests) svy ///
continuous(bpsystol tcresult, stat(median)) factor(sex)

* Perform subpopulation estimation on this survey data
dtable age bmi, svy subpop(if heartatk==1) ///
continuous(bpsystol tcresult, stat(median)) factor(sex)

*ex6
webuse idu, clear

dtable, continuous(age, statistics(mean minmax)) ///
  continuous(ltime rtime, statistics(mean variance))  ///
  define(minmax = min max, delimiter(-)) 

dtable, continuous(age, statistics(mean minmax)) ///
 continuous(ltime rtime, statistics(mean variance)) ///
 define(minmax = min max, delimiter(-)) ///
 nformat(%9.1f mean minmax) 

dtable, continuous(age, statistics(mean minmax)) ///
 continuous(ltime rtime, statistics(mean variance))  ///
 define(minmax = min max, delimiter(-)) ///
 nformat(%9.1f mean minmax) ///
 sformat("[%s]" minmax) sformat("(%s)" variance) 

*ex7
sysuse auto, clear 
dtable price weight mpg i.rep78, by(foreign, nototal) ///
 export(myfile.docx, replace)

*ex8
webuse idu, clear
dtable age ltime rtime i.needle, by(male, nototal) ///
sample(Sample size) nformat(%6.2f mean sd) column(by(hide))

collect label levels male 0 "Female", modify
collect label levels male 1 "Male", modify
collect style cell male[0], warn shading( background(aqua))
collect style cell male[1], warn shading( background(lightyellow))
collect style row split, binder(`":"')
collect style header needle, title(label)
collect style cell var[0.needle], warn border( top, width(1))
collect style putdocx, layout(autofitcontents)
collect export ex8.docx, replace


collect style save mydtable, replace
collect label save mylabel, replace

clear all
webuse idu
dtable age ltime rtime i.needle, by(male, nototal) style(mydtable) label(mylabel) /// 
export(ex8b.docx, replace)
